Bug 248679 - Review Request: R-hgu95av2probe - Probe sequence data for microarrays of type hgu95av2
Review Request: R-hgu95av2probe - Probe sequence data for microarrays of type...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-18 02:30 EDT by Pierre-Yves
Modified: 2008-01-29 00:17 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.0.0-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-29 00:13:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pierre-Yves 2007-07-18 02:30:27 EDT
Spec URL:http://pingoured.dyndns.org/public/RPM/R-hgu95av2probe/R-hgu95av2probe.spec
SRPM URL: http://pingoured.dyndns.org/public/RPM/R-hgu95av2probe/R-hgu95av2probe-1.16.3-1.fc6.src.rpm
Description: 
This package was automatically created by package matchprobes version 1.9.2. 
The probe sequence data was obtained from http://www.affymetrix.com. 
The file name was HG\_U95Av2\_probe\_tab.

Thanks
Comment 2 Jason Tibbitts 2007-11-19 00:15:35 EST
This is another of those "I have no idea what it's supposed to do" packages. 
Unfortunately it looks like they've updated to 1.16.4 and the 1.16.3 tarball is
no longer available.

Did you want to update to 1.16.4 or should I review the current version?
Comment 3 Pierre-Yves 2007-11-19 02:51:39 EST
I will update the new version
Comment 4 Jason Tibbitts 2008-01-18 02:39:38 EST
Any progress?
Comment 6 Jason Tibbitts 2008-01-18 16:42:09 EST
This package is smaller than the recent genome packages, but it's another one
where you might consider dropping the dist tag and sharing one copy between all
releases.

* source files match upstream:
   44729a9f9b1bc87e6ae6a2978d85f75d2f63628dd8042d08c38617559b0c2940  
   hgu95av2probe_2.0.0.tar.gz
* package meets naming and versioning guidelines (not that the name actually 
   means anything to me, but it reflects the name of the tarball)
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* rpmlint has only the usual R complaints.
* final provides and requires are sane:
   R-hgu95av2probe = 2.0.0-1.fc9
  =
   /bin/sh
   R
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (R package registration)
* acceptable content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 7 Pierre-Yves 2008-01-18 19:17:51 EST
New Package CVS Request
=======================
Package Name: R-hgu95av2probe 
Short Description: Probe sequence data for microarrays of type hgu95av2
Owners: pingou
Branches: F-7 F-8
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2008-01-19 13:23:36 EST
cvs done.
Comment 9 Fedora Update System 2008-01-22 10:33:17 EST
R-hgu95av2probe-2.0.0-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-hgu95av2probe'
Comment 10 Fedora Update System 2008-01-22 10:48:19 EST
R-hgu95av2probe-2.0.0-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-hgu95av2probe'
Comment 11 Fedora Update System 2008-01-29 00:13:30 EST
R-hgu95av2probe-2.0.0-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2008-01-29 00:17:02 EST
R-hgu95av2probe-2.0.0-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.